Changeset 2980


Ignore:
Timestamp:
Oct 15, 2013 12:07:38 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/releases/1.4.7/configure

    r2955 r2980  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --disable-interpackage-dependencies
     
    18901887
    18911888# Get the name of the Fortran compiler and appropriate compiler options
    1892 case $build in
     1889
     1890
     1891  # for backward compatibility
     1892  # Check whether --enable-doscompile or --disable-doscompile was given.
     1893if test "${enable_doscompile+set}" = set; then
     1894  enableval="$enable_doscompile"
     1895  enable_doscompile=$enableval
     1896else
     1897  enable_doscompile=no
     1898fi;
     1899
     1900  # Check whether --enable-msvc or --disable-msvc was given.
     1901if test "${enable_msvc+set}" = set; then
     1902  enableval="$enable_msvc"
     1903  enable_msvc=$enableval
     1904else
     1905  enable_msvc=no
     1906     if test "$enable_doscompile" = msvc ; then
     1907       enable_msvc=yes
     1908     elif test "$enable_doscompile" != no ; then
     1909       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1910echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1911   { (exit 1); exit 1; }; }
     1912     fi
     1913
     1914fi;
     1915
     1916  if test "$enable_msvc" = yes; then
     1917    case $build in
     1918      *-cygwin* | *-mingw*) ;;
     1919      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1920echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1921   { (exit 1); exit 1; }; } ;;
     1922    esac
     1923  fi
     1924
     1925
     1926 case $build in
    18931927  *-mingw*)
    18941928    if test "${LD+set}" = set; then :; else
     
    18971931    ;;
    18981932 esac
    1899  case $enable_doscompile in
    1900    msvc)
    1901      if test "x${LD+set}" = xset; then :; else
    1902        LD=link
    1903      fi
    1904      ;;
    1905  esac
    1906 
    1907 
    1908  # Check whether --enable-doscompile or --disable-doscompile was given.
    1909 if test "${enable_doscompile+set}" = set; then
    1910   enableval="$enable_doscompile"
    1911   if test "$enable_doscompile" != no; then
    1912      case $build in
    1913        *-cygwin* | *-mingw*) ;;
    1914        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1915 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1916    { (exit 1); exit 1; }; } ;;
    1917      esac
     1933 if test $enable_msvc = yes ; then
     1934   if test "x${LD+set}" = xset; then :; else
     1935     LD=link
    19181936   fi
    1919 else
    1920   enable_doscompile=no
    1921 fi;
    1922  case "$enable_doscompile" in
    1923    mingw)
    1924      case $build in
    1925        *-mingw*) enable_doscompile=no ;;
    1926      esac
    1927      ;;
    1928    msvc|no) ;;
    1929    yes) enable_doscompile=mingw ;;
    1930    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1931                     Try configure --help=recursive." >&5
    1932 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1933                     Try configure --help=recursive." >&2;}
    1934    { (exit 1); exit 1; }; }
    1935       ;;
    1936   esac
    1937   if test "$enable_doscompile" != no ; then
    1938     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1939 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1940   fi
     1937 fi
    19411938
    19421939
     
    19811978case $build in
    19821979  *-cygwin* | *-mingw*)
    1983              if test "$enable_doscompile" = msvc ; then
    1984                comps="icl cl"
     1980             if test "$enable_msvc" = yes ; then
     1981               comps="icl cl gcc"
    19851982             else
    1986                comps="gcc cl"
     1983               comps="gcc icl cl"
    19871984             fi ;;
    19881985  *-*-solaris*)
     
    28372834            ;;
    28382835        esac
    2839         case $enable_doscompile in
    2840           mingw)
    2841             CFLAGS="-mno-cygwin"
    2842             cat >conftest.$ac_ext <<_ACEOF
    2843 /* confdefs.h.  */
    2844 _ACEOF
    2845 cat confdefs.h >>conftest.$ac_ext
    2846 cat >>conftest.$ac_ext <<_ACEOF
    2847 /* end confdefs.h.  */
    2848 
    2849 int
    2850 main ()
    2851 {
    2852 int i=0; i++;
    2853   ;
    2854   return 0;
    2855 }
    2856 _ACEOF
    2857 rm -f conftest.$ac_objext conftest$ac_exeext
    2858 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2859   (eval $ac_link) 2>conftest.er1
    2860   ac_status=$?
    2861   grep -v '^ *+' conftest.er1 >conftest.err
    2862   rm -f conftest.er1
    2863   cat conftest.err >&5
    2864   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2865   (exit $ac_status); } &&
    2866          { ac_try='test -z "$ac_c_werror_flag"
    2867                          || test ! -s conftest.err'
    2868   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2869   (eval $ac_try) 2>&5
    2870   ac_status=$?
    2871   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2872   (exit $ac_status); }; } &&
    2873          { ac_try='test -s conftest$ac_exeext'
    2874   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2875   (eval $ac_try) 2>&5
    2876   ac_status=$?
    2877   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2878   (exit $ac_status); }; }; then
    2879   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2880 else
    2881   echo "$as_me: failed program was:" >&5
    2882 sed 's/^/| /' conftest.$ac_ext >&5
    2883 
    2884 fi
    2885 rm -f conftest.err conftest.$ac_objext \
    2886       conftest$ac_exeext conftest.$ac_ext
    2887             CFLAGS=
    2888           ;;
    2889         esac
    28902836    esac
    28912837  fi
     
    32283174  clang* ) ;;
    32293175  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3230     case $build in
     3176
     3177 case $build in
    32313178  *-mingw*)
    32323179    if test "${LD+set}" = set; then :; else
     
    32353182    ;;
    32363183 esac
    3237  case $enable_doscompile in
    3238    msvc)
    3239      if test "x${LD+set}" = xset; then :; else
    3240        LD=link
    3241      fi
    3242      ;;
    3243  esac
     3184 if test $enable_msvc = yes ; then
     3185   if test "x${LD+set}" = xset; then :; else
     3186     LD=link
     3187   fi
     3188 fi
    32443189
    32453190    ;;
     
    32553200case $build in
    32563201  *-cygwin* | *-mingw*)
    3257      if test "$enable_doscompile" = msvc ; then
    3258        coin_f77_comps="ifort fl32 compile_f2c"
     3202     if test "$enable_msvc" = yes ; then
     3203       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32593204     else
    32603205       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34813426
    34823427# Provide some information about the compiler.
    3483 echo "$as_me:3483:" \
     3428echo "$as_me:3428:" \
    34843429     "checking for Fortran 77 compiler version" >&5
    34853430ac_compiler=`set X $ac_compile; echo $2`
     
    36503595    coin_add_fflags="-pipe"
    36513596    coin_dbg_fflags="-g -O0"
    3652     case $enable_doscompile in
    3653       mingw)
    3654         FFLAGS="-mno-cygwin"
    3655         cat >conftest.$ac_ext <<_ACEOF
    3656       program main
    3657       write(*,*) 'Hello world'
    3658       end
    3659 _ACEOF
    3660 rm -f conftest.$ac_objext conftest$ac_exeext
    3661 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3662   (eval $ac_link) 2>conftest.er1
    3663   ac_status=$?
    3664   grep -v '^ *+' conftest.er1 >conftest.err
    3665   rm -f conftest.er1
    3666   cat conftest.err >&5
    3667   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3668   (exit $ac_status); } &&
    3669          { ac_try='test -z "$ac_f77_werror_flag"
    3670                          || test ! -s conftest.err'
    3671   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3672   (eval $ac_try) 2>&5
    3673   ac_status=$?
    3674   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3675   (exit $ac_status); }; } &&
    3676          { ac_try='test -s conftest$ac_exeext'
    3677   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3678   (eval $ac_try) 2>&5
    3679   ac_status=$?
    3680   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3681   (exit $ac_status); }; }; then
    3682   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3683 else
    3684   echo "$as_me: failed program was:" >&5
    3685 sed 's/^/| /' conftest.$ac_ext >&5
    3686 
    3687 fi
    3688 rm -f conftest.err conftest.$ac_objext \
    3689       conftest$ac_exeext conftest.$ac_ext
    3690         FFLAGS=
    3691       ;;
    3692     esac
    36933597  else
    36943598    case $build in
     
    39823886case "$F77" in
    39833887  ifort* | */ifort* | IFORT* | */IFORT*)
    3984     case $build in
     3888
     3889 case $build in
    39853890  *-mingw*)
    39863891    if test "${LD+set}" = set; then :; else
     
    39893894    ;;
    39903895 esac
    3991  case $enable_doscompile in
    3992    msvc)
    3993      if test "x${LD+set}" = xset; then :; else
    3994        LD=link
    3995      fi
    3996      ;;
    3997  esac
     3896 if test $enable_msvc = yes ; then
     3897   if test "x${LD+set}" = xset; then :; else
     3898     LD=link
     3899   fi
     3900 fi
    39983901
    39993902    ;;
     
    40623965ac_save_FFLAGS=$FFLAGS
    40633966FFLAGS="$FFLAGS $ac_verb"
    4064 (eval echo $as_me:4064: \"$ac_link\") >&5
     3967(eval echo $as_me:3967: \"$ac_link\") >&5
    40653968ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40663969echo "$ac_f77_v_output" >&5
     
    41404043ac_save_FFLAGS=$FFLAGS
    41414044FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4142 (eval echo $as_me:4142: \"$ac_link\") >&5
     4045(eval echo $as_me:4045: \"$ac_link\") >&5
    41434046ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41444047echo "$ac_f77_v_output" >&5
     
    55225425# Try to autodetect the library for blas based on build system
    55235426  #AC_MSG_CHECKING([default locations for BLAS])
    5524   skip_lblas_check=no
    55255427  case $build in
    55265428    *-sgi-*)
     
    63256227
    63266228    *-cygwin* | *-mingw*)
    6327 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    6328 # library will want to link with cygwin, hence won't run standalone in DOS.
    6329       if test "$enable_doscompile" = mingw; then
    6330         skip_lblas_check=yes
    6331       fi
    63326229      case "$CC" in
    63336230        clang* ) ;;
     
    74937390  esac
    74947391
    7495   if test -z "$use_blas" && test $skip_lblas_check = no; then
     7392  if test -z "$use_blas" ; then
    74967393    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    74977394echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    1015110048*-*-irix6*)
    1015210049  # Find out which ABI we are using.
    10153   echo '#line 10153 "configure"' > conftest.$ac_ext
     10050  echo '#line 10050 "configure"' > conftest.$ac_ext
    1015410051  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1015510052  (eval $ac_compile) 2>&5
     
    1262812525   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1262912526   -e 's:$: $lt_compiler_flag:'`
    12630    (eval echo "\"\$as_me:12630: $lt_compile\"" >&5)
     12527   (eval echo "\"\$as_me:12527: $lt_compile\"" >&5)
    1263112528   (eval "$lt_compile" 2>conftest.err)
    1263212529   ac_status=$?
    1263312530   cat conftest.err >&5
    12634    echo "$as_me:12634: \$? = $ac_status" >&5
     12531   echo "$as_me:12531: \$? = $ac_status" >&5
    1263512532   if (exit $ac_status) && test -s "$ac_outfile"; then
    1263612533     # The compiler can only warn and ignore the option if not recognized
     
    1289612793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289712794   -e 's:$: $lt_compiler_flag:'`
    12898    (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
     12795   (eval echo "\"\$as_me:12795: $lt_compile\"" >&5)
    1289912796   (eval "$lt_compile" 2>conftest.err)
    1290012797   ac_status=$?
    1290112798   cat conftest.err >&5
    12902    echo "$as_me:12902: \$? = $ac_status" >&5
     12799   echo "$as_me:12799: \$? = $ac_status" >&5
    1290312800   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290412801     # The compiler can only warn and ignore the option if not recognized
     
    1300012897   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300112898   -e 's:$: $lt_compiler_flag:'`
    13002    (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
     12899   (eval echo "\"\$as_me:12899: $lt_compile\"" >&5)
    1300312900   (eval "$lt_compile" 2>out/conftest.err)
    1300412901   ac_status=$?
    1300512902   cat out/conftest.err >&5
    13006    echo "$as_me:13006: \$? = $ac_status" >&5
     12903   echo "$as_me:12903: \$? = $ac_status" >&5
    1300712904   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300812905   then
     
    1541715314  lt_status=$lt_dlunknown
    1541815315  cat > conftest.$ac_ext <<EOF
    15419 #line 15419 "configure"
     15316#line 15316 "configure"
    1542015317#include "confdefs.h"
    1542115318
     
    1551715414  lt_status=$lt_dlunknown
    1551815415  cat > conftest.$ac_ext <<EOF
    15519 #line 15519 "configure"
     15416#line 15416 "configure"
    1552015417#include "confdefs.h"
    1552115418
     
    1787717774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787817775   -e 's:$: $lt_compiler_flag:'`
    17879    (eval echo "\"\$as_me:17879: $lt_compile\"" >&5)
     17776   (eval echo "\"\$as_me:17776: $lt_compile\"" >&5)
    1788017777   (eval "$lt_compile" 2>conftest.err)
    1788117778   ac_status=$?
    1788217779   cat conftest.err >&5
    17883    echo "$as_me:17883: \$? = $ac_status" >&5
     17780   echo "$as_me:17780: \$? = $ac_status" >&5
    1788417781   if (exit $ac_status) && test -s "$ac_outfile"; then
    1788517782     # The compiler can only warn and ignore the option if not recognized
     
    1798117878   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1798217879   -e 's:$: $lt_compiler_flag:'`
    17983    (eval echo "\"\$as_me:17983: $lt_compile\"" >&5)
     17880   (eval echo "\"\$as_me:17880: $lt_compile\"" >&5)
    1798417881   (eval "$lt_compile" 2>out/conftest.err)
    1798517882   ac_status=$?
    1798617883   cat out/conftest.err >&5
    17987    echo "$as_me:17987: \$? = $ac_status" >&5
     17884   echo "$as_me:17884: \$? = $ac_status" >&5
    1798817885   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1798917886   then
     
    1955119448   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955219449   -e 's:$: $lt_compiler_flag:'`
    19553    (eval echo "\"\$as_me:19553: $lt_compile\"" >&5)
     19450   (eval echo "\"\$as_me:19450: $lt_compile\"" >&5)
    1955419451   (eval "$lt_compile" 2>conftest.err)
    1955519452   ac_status=$?
    1955619453   cat conftest.err >&5
    19557    echo "$as_me:19557: \$? = $ac_status" >&5
     19454   echo "$as_me:19454: \$? = $ac_status" >&5
    1955819455   if (exit $ac_status) && test -s "$ac_outfile"; then
    1955919456     # The compiler can only warn and ignore the option if not recognized
     
    1965519552   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1965619553   -e 's:$: $lt_compiler_flag:'`
    19657    (eval echo "\"\$as_me:19657: $lt_compile\"" >&5)
     19554   (eval echo "\"\$as_me:19554: $lt_compile\"" >&5)
    1965819555   (eval "$lt_compile" 2>out/conftest.err)
    1965919556   ac_status=$?
    1966019557   cat out/conftest.err >&5
    19661    echo "$as_me:19661: \$? = $ac_status" >&5
     19558   echo "$as_me:19558: \$? = $ac_status" >&5
    1966219559   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1966319560   then
     
    2186221759   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2186321760   -e 's:$: $lt_compiler_flag:'`
    21864    (eval echo "\"\$as_me:21864: $lt_compile\"" >&5)
     21761   (eval echo "\"\$as_me:21761: $lt_compile\"" >&5)
    2186521762   (eval "$lt_compile" 2>conftest.err)
    2186621763   ac_status=$?
    2186721764   cat conftest.err >&5
    21868    echo "$as_me:21868: \$? = $ac_status" >&5
     21765   echo "$as_me:21765: \$? = $ac_status" >&5
    2186921766   if (exit $ac_status) && test -s "$ac_outfile"; then
    2187021767     # The compiler can only warn and ignore the option if not recognized
     
    2213022027   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2213122028   -e 's:$: $lt_compiler_flag:'`
    22132    (eval echo "\"\$as_me:22132: $lt_compile\"" >&5)
     22029   (eval echo "\"\$as_me:22029: $lt_compile\"" >&5)
    2213322030   (eval "$lt_compile" 2>conftest.err)
    2213422031   ac_status=$?
    2213522032   cat conftest.err >&5
    22136    echo "$as_me:22136: \$? = $ac_status" >&5
     22033   echo "$as_me:22033: \$? = $ac_status" >&5
    2213722034   if (exit $ac_status) && test -s "$ac_outfile"; then
    2213822035     # The compiler can only warn and ignore the option if not recognized
     
    2223422131   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2223522132   -e 's:$: $lt_compiler_flag:'`
    22236    (eval echo "\"\$as_me:22236: $lt_compile\"" >&5)
     22133   (eval echo "\"\$as_me:22133: $lt_compile\"" >&5)
    2223722134   (eval "$lt_compile" 2>out/conftest.err)
    2223822135   ac_status=$?
    2223922136   cat out/conftest.err >&5
    22240    echo "$as_me:22240: \$? = $ac_status" >&5
     22137   echo "$as_me:22137: \$? = $ac_status" >&5
    2224122138   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2224222139   then
     
    2518425081echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2518525082coin_link_input_cmd="$LN_S"
    25186 if test "$enable_doscompile" = mingw; then
    25187   coin_link_input_cmd=cp
    25188 fi
    2518925083case "$CC" in
    2519025084  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.